/*
 * daap_config.h: the configuration interface
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id: daap_config.h,v 1.7 2005/10/06 08:13:43 cm Exp $
 */

#ifndef __DAAPCONFIG_H
#define __DAAPCONFIG_H

const char PlaylistNameChars[] = "abcdefghijklmnopqrstuvwxyz0123456789";

class cDaapConfiguration {
  private:
    bool m_menuEntry;
    bool m_audioOnly;
    char *mp_instantPlaylistName;
    int m_skipBackMargin;
    int m_skipLength;
  public:
    cDaapConfiguration();
    ~cDaapConfiguration();
    bool SetMenuEntry(bool set);
    bool allowMenuEntry(void) const { return m_menuEntry; };
    bool SetAudioOnly(bool set);
    bool isAudioOnly(void) const { return m_audioOnly; };
    const char *SetInstantPlaylistName(const char *name);
    const char *GetInstantPlaylistName(void) const { return mp_instantPlaylistName; };
    int SetSkipBackMargin(int set);
    int GetSkipBackMargin(void) const { return m_skipBackMargin; };
    int SetSkipLength(int set);
    int GetSkipLength(void) const { return m_skipLength; };
};

#endif
